#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n;
    cin>>n;

    vector<int> a(n), b(n);
    vector<int> parni(n), neparni(n);
    int kparni = 0, kneparni = 0;
    for (int i = 0; i<2*n; i++) {
        if (i%2) parni[kparni++] = i;
        else neparni[kneparni++] = i;
    }
    int neparni_od_nazad = n-2;
    int parni_od_nazad = n-2;
    int neparni_od_napred = 3;
    itn parni_od_napred = 3;
    a[0] = 3;
    b[0] = a[0] + 1;
    a[1] = 2*n-1;
    b[1] = 2*n;
    if (n == 2) {
        a[3] = 1;
        b[3] = 2;
        for (int i = 4; i<n; i++) {
            a[i] = (i%2) ? neparni[neparni_od_nazad--] : neparni[neparni_od_napred++];
            
            b[i] = (i%2) ? parni[parni_od_nazad--] : parni[parni_od_napred++];
        }
        
    }



    for (int x : a) {
        cout<<x<<' ';
    }
    cout<<'\n';
    for (int x : b) {
        cout<<x<<' ';
    }


}